Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class RbfLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.RbfLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

Direct Known Subclasses:
  RbfGaussianLayer

    public abstract class RbfLayer

extends Layer

This is the basis (helper) for radial basis function layers.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`RbfLayer()` Creates a new instance of RbfLayer
`RbfLayer(java.lang.String anElemName)` Creates a new instance of RbfLayer

Method Summary
`protected void` | `adjustSizeToFwdPattern(double[] aPattern)` Adjusts the size of a layer if the size of the forward pattern differs.
`protected void` | `setDimensions()` Sets the dimension of the layer.

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToRevPattern, backward, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, forward, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setMonitor, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RbfLayer

    public RbfLayer()

  Creates a new instance of RbfLayer

### RbfLayer

    public RbfLayer(java.lang.String anElemName)

  Creates a new instance of RbfLayer

  Parameters:
    `anElemName` - The name of the Layer

Method Detail

### setDimensions

    protected void setDimensions()

  Description copied from class: `Layer`
  Sets the dimension of the layer. Override to define how the internal buffers must be sized.

  Specified by:
    `setDimensions` in class `Layer`

### adjustSizeToFwdPattern

    protected void adjustSizeToFwdPattern(double[] aPattern)

  Adjusts the size of a layer if the size of the forward pattern differs.

  Overrides:
    `adjustSizeToFwdPattern` in class `Layer`
  Parameters:
    `aPattern` - the pattern holding a different size than the layer (dimension of neurons is not in accordance with the dimension of the pattern that is being forwarded).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net